Zeitgeist.Timestamp.to_timeval – zeitgeist-2.0 Reference Manual

# to_timeval

## Description:

public TimeVal to_timeval (int64 timestamp)

Write a Zeitgeist timestamp to a GLib.TimeVal instance. Note that Zeitgeist uses only a millisecond resolution, whereas GLib.TimeVal has microsecond resolution. This means that the lower three digits of @ tv.tv_usec will always be 0.

## Parameters:

timestamp | to convert

## Returns:

the equivalent GLib.TimeVal instance.

Namespace: Zeitgeist.Timestamp
Package: zeitgeist-2.0